Calico™
API Reference
getCalico.com
API Reference
getCalico.com
  1. OAuth
  • Getting Started
  • Use Cases
  • Calico Connect
  • Platform API
    • Authentication
    • OAuth
      • Authorization Callback
        GET
    • Providers
      • Add providers
      • List providers
      • Remove providers
    • Assets
      • User assets
      • Refresh asset list
    • Transactions
      • Transactions
      • Refresh transactions
  • Resources
    • Response codes
    • FAQs
  • Schemas
    • Schemas
      • OpenAPIIntegrationResponse
      • CalicoErrorResponse
      • RefreshResponse
      • CryptoSourceId
      • OpenAPIAssetPosition
      • CryptoSourceCredentialAuthType
      • Add Crypto Source
      • Add Crypto Source Response
      • CryptoSourceDescriptor
      • OpenAPIDeleteCryptoSourceRequest
      • number
      • OpenAPIGetConsentURLForThirdPartyResponse
      • TransactionType
      • OpenAPITransactionCategorization
      • OpenAPIFeeItem
      • OpenAPIFeeObject
      • OpenAPICurrencyValue
      • Input only transactions
      • Transactions data
      • Send transaction data
      • Output only transaction data
      • Receive transaction data
      • Transactions with input and output
      • Uncategorized transaction data
API Reference
getCalico.com
API Reference
getCalico.com
  1. OAuth

Authorization Callback

https://api.getcalico.com/platform/v1
https://api.getcalico.com/platform/v1
https://api.getcalico.com/platform/v1
https://api.getcalico.com/platform/v1
GET
/oauth/callback/{crypto_provider}
Callback for submitting the OAuth 2 code, which will register an OAuth 2 connection.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Responses

🟢200OK
application/json
The request was successful but the connection may not have been added. Check the body of the response for status and if a redirect is needed.
Body

🟢201Created
🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.getcalico.com/platform/v1/oauth/callback/?state&code' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "added": true,
    "redirectUrl": "string"
}
Previous
Authentication
Next
Providers